Skip to main content
GET
/
api
/
catalogs
/
songs
cURL
curl --request GET \
  --url https://api.recoupable.com/api/catalogs/songs \
  --header 'x-api-key: <api-key>'
{
  "status": "success",
  "songs": [
    {
      "catalog_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "isrc": "<string>",
      "name": "<string>",
      "album": "<string>",
      "lyrics": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "artists": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "timestamp": 123
        }
      ]
    }
  ],
  "pagination": {
    "total_count": 123,
    "page": 123,
    "limit": 123,
    "total_pages": 123
  },
  "error": "<string>"
}
This endpoint supports pagination. The Catalog Songs API also supports POST for adding songs and DELETE for removing songs. See the Add Catalog Songs and Remove Catalog Songs endpoints.

Authorizations

x-api-key
string
header
required

Your Recoup API key. Learn more.

Query Parameters

catalog_id
string<uuid>
required

The unique identifier of the catalog to query songs for

artistName
string

Optional. Filters songs to only include those with matching artist name

page
integer
default:1

Page number for pagination (default: 1)

limit
integer
default:20

Number of songs per page (default: 20, max: 100)

Required range: x <= 100

Response

Catalog songs retrieved successfully

Response containing catalog songs data with pagination

status
enum<string>

Status of the request

Available options:
success,
error
songs
object[]

Array of song objects with artist information

pagination
object

Pagination metadata for the response

error
string

Error message (only present if status is 'error')